<?php

namespace App\Data\Validation;

abstract class Validator
{
    protected function error(string $message): ValidationResult
    {
        return new ValidationResult(true, $message);
    }

    protected function success(): ValidationResult
    {
        return new ValidationResult(false);
    }
}
